%define name hh2000
%define version 0.6
%define release 4mdk

Summary: 	An astronomy program
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sciences/Astronomy
Url: 		http://hirame.hiram.edu/~worleyam/
Source: 	%{name}-%{version}.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtkglarea5-devel

%description
A solar system browser

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/hh2000"\
title="Hitchhiker2000"\
longtitle="a solar system browser"\
needs="x11"\
icon="astronomy_section.png"\
section="Applications/Sciences/Astronomy"
EOF
)

%find_lang %{name}

%post
%{update_menus}
 
%postun
%{clean_menus}   

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/hh2000/
%{_datadir}/pixmaps/hh2000/*.xpm
%{_datadir}/pixmaps/hh2000/*.png
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*/*
%doc AUTHORS COPYING ChangeLog Credits.html NEWS README TODO
%config %_datadir/gnome/apps/Applications/hh2000.desktop
%{_menudir}/*


%changelog
* Sat Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-4mdk
- Fix menu entry
- Add missing files
- Add build requires

* Tue Jul 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-3mdk
- rebuild

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- rebuild

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- new in contribs
- menu
